declare class EventDispatcher {
    listners: any;
    constructor();
    /**@description Add a listner to this type
     * @param {string} type
     * @param {function} trigger
     * @return {void}
    */
    addEventListner(type: string, trigger: (eventType?: string, param?: any) => any): void;
    /**@description Remove this function from the current listnere type */
    removeEventListner(type: string, trigger: (eventType?: string, param?: any) => any): void;
    /**@description Dispatch all triggers for this type of event
     * @param {string} type
     * @param {any}
     */
    dispatchEvent(type: string, param?: any): void;
}
export default EventDispatcher;
